Summary: @DESCRIPTION@
Name: @PACKAGE_NAME@
Version: @VERSION@
Release: @BUILD_NUMBER@.@DISTRO@
License: LGPL
Group: @RPM_GROUP@

Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: which, pkgconfig, gnupg, expect, git, make, automake, autoconf, rpm-build, doxygen, graphviz, java-openjdk  @RPM_BUILD_DEPEND@ @RPM_DEPEND_IFEXISTS@

#### os dependent definitions ####
%if 0%{?suse_version} || 0%{?sles_version}
BuildRequires: lsb-release
%else
%if  0%{?mageia}
BuildRequires: rpm-sign, lsb-release

%else

BuildRequires: rpm-sign, redhat-lsb
%global debug_package %{nil}
%endif
%endif
%if ! 0%{?centos}
BuildRequires: mscgen
%if ! 0%{?mageia}
BuildRequires: pandoc
%endif
%endif

%description
@README@


%global debug_package %{nil}
%prep
%setup -q
./configure --prefix=/usr \
            --sysconfdir=/etc \
            --docdir=/usr/share/doc/packages/@PACKAGE_NAME@ \
            --libdir=/usr/%_lib

%build
make

%install
DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/sbin
/usr/share/applications
/usr/%_lib
%doc
/usr/share/doc

%config
/etc

%changelog

